DMESGFS(8)

NAME
dmesgfs - refuse-based virtual file system to display devices found in dmesg

SYNOPSIS
dmesgfs [-f] [-l] [-n nexus] [-v] mount_point

DESCRIPTION
The dmesgfs utility can be used to mount a virtual file system which shows the tree of devices present in the computer. This tree is found by using the output of the dmesg(8) command.

The following arguments can be used:

-f  present the attachment information in the virtual file system as files.

-l  present the attachment information in the virtual file system as symbolic links. This is the default mode of operation.

-n nexus
    Use the nexus name as the root of the device tree. The default value for Nexus is “mainbus0”.

-v  Produce verbose output

The dmesgfs utility makes use of the virtdir(3) virtual directory routines.

The refuse(3) library is used to provide the file system features.

The mandatory parameter is the local mount point.

The dmesg(8) utility is used to retrieve the information.

SEE ALSO
librefuse(3), puffs(3), virtdir(3), dmesg(8).

HISTORY
The dmesgfs utility first appeared in NetBSD 5.0.

AUTHORS
Alistair Crooks <agc@NetBSD.org>